import App from './App'
// import store from './store'
import uView from './uni_modules/vk-uview-ui';
import api from '@/api/api.js';


// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue';
import setupGlobalProperties  from './utils/index.js';
export function createApp() {
  const app = createSSRApp(App)
    // 挂载全局属性和方法
  setupGlobalProperties(app);
  app.config.globalProperties.$api = api;
  app.use(uView);

  // 全局混入分享
  app.mixin({
    //分享给好友
    onShareAppMessage() {
      const userInfo = uni.getStorageSync('userInfo') || {};
      const logoName = uni.getStorageSync('logoName') || ''
      const logoImage = uni.getStorageSync('logoImage') || ''
	  
	  let path = '/pages/index/index'
	  
	  if(userInfo.id){
		  path += '?shareId=' + (userInfo.id || '')
	  }
	  
      return {
        title: '欢迎体验'+(logoName),
        path,
        imageUrl: logoImage
      }
    },
    //分享到朋友圈
    onShareTimeline() {
      const userInfo = uni.getStorageSync('userInfo') || {};
	  
	  let path = ''
	  
	  if(userInfo.id){
	  	query = 'shareId=' + (userInfo.id || '')
	  }
	  
      return {
        title: '欢迎体验'+(logoName),
        query,
        imageUrl: logoImage
      }
    }
  });

  return {
    app
  }
}
// #endif